#!/bin/bash

function Entrada {
	echo -n "Introduzca 1er Numero: "
	read Num1
	echo -n "Introduzca 2o Numero: "
	read Num2
	echo
}

echo "/-------------------------------------------------------------\\"
echo "|                         SuperCalculadora!                   |"
echo "\\-------------------------------------------------------------/"
echo -n "Introduzca operador [suma/resta/multiplicacion/division]: "
read Operador
#Pasamos el operador a minusculas
Operador=$(echo $Operador | tr '[:upper:]' '[:lower:]')

case "$Operador" in
	suma)
		Entrada
		echo "$Num1 + $Num2 = $(expr $Num1 + $Num2)"
		;;
	resta)
		Entrada
		echo "$Num1 - $Num2 = $(expr $Num1 - $Num2)"
		;;
	multiplicacion)
		Entrada
		echo "$Num1 * $Num2 = $(expr $Num1 '*' $Num2)"
		;;
	division)
		Entrada
		if [ $Num2 -eq 0 ]; then
			echo "$Num1 / $Num2 = Inf"
		else
			echo "$Num1 / $Num2 = $(expr $Num1 / $Num2)"
		fi
		;;
	*)
		echo "ERROR: Operador no valido."
		exit 1
		;;
esac
